## org.eclipse.datatools.modelbase.sql.query
Interface MergeOnCondition

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface MergeOnCondition

extends SQLQueryObject

A representation of the model object 'Merge On Condition'. SQL syntax:

The following features are supported:

- `Merge Statement`
- `Search Condition`

See Also:
  `SQLQueryModelPackage.getMergeOnCondition()`

Method Summary
`QueryMergeStatement` `getMergeStatement()` Returns the value of the 'Merge Statement' container reference.
`QuerySearchCondition` `getSearchCondition()` Returns the value of the 'Search Condition' containment reference.
`void` `setMergeStatement(QueryMergeStatement value)` Sets the value of the '`Merge Statement`' container reference.
`void` `setSearchCondition(QuerySearchCondition value)` Sets the value of the '`Search Condition`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMergeStatement

    QueryMergeStatement getMergeStatement()

  Returns the value of the 'Merge Statement' container reference. It is bidirectional and its opposite is '`On Condition`'.

  If the meaning of the 'Merge Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Merge Statement' container reference.
  See Also:
    `setMergeStatement(QueryMergeStatement)`, `SQLQueryModelPackage.getMergeOnCondition_MergeStatement()`, `QueryMergeStatement.getOnCondition()`

### setMergeStatement

    void setMergeStatement(QueryMergeStatement value)

  Sets the value of the '`Merge Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Merge Statement' container reference.
  See Also:
    `getMergeStatement()`

### getSearchCondition

    QuerySearchCondition getSearchCondition()

  Returns the value of the 'Search Condition' containment reference. It is bidirectional and its opposite is '`Merge On Condition`'.

  If the meaning of the 'Search Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Search Condition' containment reference.
  See Also:
    `setSearchCondition(QuerySearchCondition)`, `SQLQueryModelPackage.getMergeOnCondition_SearchCondition()`, `QuerySearchCondition.getMergeOnCondition()`

### setSearchCondition

    void setSearchCondition(QuerySearchCondition value)

  Sets the value of the '`Search Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Search Condition' containment reference.
  See Also:
    `getSearchCondition()`